# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Static Public Member Functions | List of all members
DBus::Dispatcher::Private Struct Reference

`#include <dispatcher_p.h>`

## Static Public Member Functions

static dbus_bool_t | on_add_watch (DBusWatch *watch, void *data)
static void | on_rem_watch (DBusWatch *watch, void *data)
static void | on_toggle_watch (DBusWatch *watch, void *data)
static dbus_bool_t | on_add_timeout (DBusTimeout *timeout, void *data)
static void | on_rem_timeout (DBusTimeout *timeout, void *data)
static void | on_toggle_timeout (DBusTimeout *timeout, void *data)

## Detailed Description

Definition at line 41 of file dispatcher_p.h.

## Member Function Documentation

## ◆ on_add_timeout()

dbus_bool_t Dispatcher::Private::on_add_timeout | ( | DBusTimeout * | timeout,
|  | void * | data )

static

Definition at line 131 of file dispatcher.cpp.

References DBus::Dispatcher::add_timeout().

Referenced by DBus::Connection::setup(), and DBus::Server::setup().

## ◆ on_add_watch()

dbus_bool_t Dispatcher::Private::on_add_watch | ( | DBusWatch * | watch,
|  | void * | data )

static

Definition at line 104 of file dispatcher.cpp.

References DBus::Dispatcher::add_watch().

Referenced by DBus::Connection::setup(), and DBus::Server::setup().

## ◆ on_rem_timeout()

void Dispatcher::Private::on_rem_timeout | ( | DBusTimeout * | timeout,
|  | void * | data )

static

Definition at line 142 of file dispatcher.cpp.

References DBus::Dispatcher::rem_timeout().

Referenced by DBus::Connection::setup(), and DBus::Server::setup().

## ◆ on_rem_watch()

void Dispatcher::Private::on_rem_watch | ( | DBusWatch * | watch,
|  | void * | data )

static

Definition at line 115 of file dispatcher.cpp.

References DBus::Dispatcher::rem_watch().

Referenced by DBus::Connection::setup(), and DBus::Server::setup().

## ◆ on_toggle_timeout()

void Dispatcher::Private::on_toggle_timeout | ( | DBusTimeout * | timeout,
|  | void * | data )

static

Definition at line 151 of file dispatcher.cpp.

References DBus::Timeout::toggle().

Referenced by DBus::Connection::setup(), and DBus::Server::setup().

## ◆ on_toggle_watch()

void Dispatcher::Private::on_toggle_watch | ( | DBusWatch * | watch,
|  | void * | data )

static

Definition at line 124 of file dispatcher.cpp.

References DBus::Watch::toggle().

Referenced by DBus::Connection::setup(), and DBus::Server::setup().

The documentation for this struct was generated from the following files:

- dispatcher_p.h
- dispatcher.cpp